Package com.smartgwt.client.widgets.drawing

# Class GaugeSector

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.widgets.drawing.GaugeSector

All Implemented Interfaces:
  `HasHandlers`

public class GaugeSector extends RefDataClass
Represents a sector on the gauge.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GaugeSector()`
  `GaugeSector(double value)`
  `GaugeSector(double value, String fillColor)`
  `GaugeSector(float value)`
  Deprecated.
  `GaugeSector(float value, String fillColor)`
  Deprecated.
  `GaugeSector(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `float`
  `getEndAngle()`
  Deprecated.
  `GwtFloatVsDouble`
  `double`
  `getEndAngleAsDouble()`
  `String`
  `getFillColor()`
  `static GaugeSector`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `float`
  `getStartAngle()`
  Deprecated.
  `GwtFloatVsDouble`
  `double`
  `getStartAngleAsDouble()`
  `float`
  `getValue()`
  Deprecated.
  `GwtFloatVsDouble`
  `double`
  `getValueAsDouble()`
  `GaugeSector`
  `setEndAngle(double endAngle)`
  `GaugeSector`
  `setEndAngle(float endAngle)`
  Deprecated.
  `GwtFloatVsDouble`
  `GaugeSector`
  `setFillColor(String fillColor)`
  `GaugeSector`
  `setStartAngle(double startAngle)`
  `GaugeSector`
  `setStartAngle(float startAngle)`
  Deprecated.
  `GwtFloatVsDouble`
  `GaugeSector`
  `setValue(double value)`
  `GaugeSector`
  `setValue(float value)`
  Deprecated.
  `GwtFloatVsDouble`

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GaugeSector

    public GaugeSector()

  - ### GaugeSector

    public GaugeSector(JavaScriptObject jsObj)

  - ### GaugeSector

    public GaugeSector(float value)
    Deprecated.

  - ### GaugeSector

    public GaugeSector(float value, String fillColor)
    Deprecated.

  - ### GaugeSector

    public GaugeSector(double value)

  - ### GaugeSector

    public GaugeSector(double value, String fillColor)

- ## Method Details

  - ### getOrCreateRef

    public static GaugeSector getOrCreateRef(JavaScriptObject jsObj)

  - ### setEndAngle

    public GaugeSector setEndAngle(float endAngle)
    Deprecated.
    `GwtFloatVsDouble`
    Parameters:
      `endAngle` - New endAngle value. Default value is 0
    Returns:
      `GaugeSector` instance, for chaining setter calls

  - ### getEndAngle

    public float getEndAngle()
    Deprecated.
    `GwtFloatVsDouble`
    Returns:
      Current endAngle value. Default value is 0

  - ### setEndAngle

    public GaugeSector setEndAngle(double endAngle)
    Parameters:
      `endAngle` - New endAngle value. Default value is 0
    Returns:
      `GaugeSector` instance, for chaining setter calls

  - ### getEndAngleAsDouble

    public double getEndAngleAsDouble()
    Returns:
      Current endAngle value. Default value is 0

  - ### setFillColor

    public GaugeSector setFillColor(String fillColor)
    Parameters:
      `fillColor` - New fillColor value. Default value is null
    Returns:
      `GaugeSector` instance, for chaining setter calls
    See Also:
      - `CSSColor`

  - ### getFillColor

    public String getFillColor()
    Returns:
      Current fillColor value. Default value is null
    See Also:
      - `CSSColor`

  - ### setStartAngle

    public GaugeSector setStartAngle(float startAngle)
    Deprecated.
    `GwtFloatVsDouble`
    Parameters:
      `startAngle` - New startAngle value. Default value is 0
    Returns:
      `GaugeSector` instance, for chaining setter calls

  - ### getStartAngle

    public float getStartAngle()
    Deprecated.
    `GwtFloatVsDouble`
    Returns:
      Current startAngle value. Default value is 0

  - ### setStartAngle

    public GaugeSector setStartAngle(double startAngle)
    Parameters:
      `startAngle` - New startAngle value. Default value is 0
    Returns:
      `GaugeSector` instance, for chaining setter calls

  - ### getStartAngleAsDouble

    public double getStartAngleAsDouble()
    Returns:
      Current startAngle value. Default value is 0

  - ### setValue

    public GaugeSector setValue(float value)
    Deprecated.
    `GwtFloatVsDouble`
    Parameters:
      `value` - New value value. Default value is 0
    Returns:
      `GaugeSector` instance, for chaining setter calls

  - ### getValue

    public float getValue()
    Deprecated.
    `GwtFloatVsDouble`
    Returns:
      Current value value. Default value is 0

  - ### setValue

    public GaugeSector setValue(double value)
    Parameters:
      `value` - New value value. Default value is 0
    Returns:
      `GaugeSector` instance, for chaining setter calls

  - ### getValueAsDouble

    public double getValueAsDouble()
    Returns:
      Current value value. Default value is 0